# Uses of Enum Class
org.apache.lucene.codecs.lucene103.Lucene103Codec.Mode

Packages that use Lucene103Codec.Mode
Package
Description
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.

- ## Uses of Lucene103Codec.Mode in org.apache.lucene.codecs.lucene103

  Methods in org.apache.lucene.codecs.lucene103 that return Lucene103Codec.Mode
  Modifier and Type
  Method
  Description
  `static Lucene103Codec.Mode`
  Lucene103Codec.Mode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Lucene103Codec.Mode[]`
  Lucene103Codec.Mode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.codecs.lucene103 with parameters of type Lucene103Codec.Mode
  Modifier
  Constructor
  Description
  ``
  `Lucene103Codec(Lucene103Codec.Mode mode)`
  Instantiates a new codec, specifying the stored fields compression mode to use.